<template>
  <b-card no-body>
    <b-card-header>
      <b-card-title>Mis actividades</b-card-title>
    
    </b-card-header>

    <b-card-body>
      <b-row>
        <!-- apex chart -->
        <b-col lg="5">
          <vue-apex-charts
            type="pie"
            height="180"
            v-if="waitPetition"
            :options="activitiesPie.chartOptions"
            :series="activitiesPie.series"
          />
        </b-col>
        <b-col lg="7">
          <!-- list group -->
          <div class="pt-25">
            <div
              class="d-flex justify-content-between"
            >
              <div class="series-info">
                <feather-icon
                  icon="PlayIcon"
                  size="16"
                  class="mr-50"
                  :class="'text-secondary'"
                />
                <span class="font-weight-bolder">Nuevas</span>
              </div>
              <span v-if="chartData.total > 0">{{((chartData.new / chartData.total) * 100.0).toFixed(0)}} %</span>
              <span v-else>0 %</span>
            </div>
            <div
              class="d-flex justify-content-between"
            >
              <div class="series-info">
                <feather-icon
                  icon="ClipboardIcon"
                  size="16"
                  class="mr-50"
                  :class="'text-info'"
                />
                <span class="font-weight-bolder">Abiertas</span>
              </div>
              <span v-if="chartData.total > 0">{{((chartData.open / chartData.total) * 100.0).toFixed(0)}} %</span>
              <span v-else>0 %</span>
            </div>
            <div
              class="d-flex justify-content-between"
            >
              <div class="series-info">
                <feather-icon
                  icon="CheckIcon"
                  size="16"
                  class="mr-50"
                  :class="'text-success'"
                />
                <span class="font-weight-bolder">Cerradas</span>
              </div>
              <span v-if="chartData.total > 0">{{((chartData.closed / chartData.total) * 100.0).toFixed(0)}} %</span>
              <span v-else>0 %</span>
            </div>
            <div
              class="d-flex justify-content-between"
            >
              <div class="series-info">
                <feather-icon
                  icon="FlagIcon"
                  size="16"
                  class="mr-50"
                  :class="'text-warning'"
                />
                <span class="font-weight-bolder">Cerradas con retraso</span>
              </div>
              <span v-if="chartData.total > 0">{{((chartData.delayed / chartData.total) * 100.0).toFixed(0)}} %</span>
              <span v-else>0 %</span>
            </div>
            <div
              class="d-flex justify-content-between"
            >
              <div class="series-info">
                <feather-icon
                  icon="MehIcon"
                  size="16"
                  class="mr-50"
                  :class="'text-danger'"
                />
                <span class="font-weight-bolder">Canceladas</span>
              </div>
              <span v-if="chartData.total > 0">{{((chartData.cancelled / chartData.total) * 100.0).toFixed(0)}} %</span>
              <span v-else>0 %</span>
            </div>

          </div>
        </b-col>
      </b-row>
    </b-card-body>
  </b-card>
</template>

<script>
import {
  BCard, BCardHeader, BCardTitle, BDropdown, BDropdownItem, BCardBody,BRow, BCol
} from 'bootstrap-vue'
import VueApexCharts from 'vue-apexcharts'
import { $themeColors } from '@themeConfig'

export default {
  components: {
    BCard,
    BCardHeader,
    BCardTitle,
    BDropdown,
    BDropdownItem,
    BCardBody,
    VueApexCharts,
    BRow, 
    BCol
  },
  data() {
    return {
      chartData: {},
      waitPetition:false,
      activitiesPie: {
        series: [2, 1, 2,0,0],
        chartOptions: {
          chart: {
            toolbar: {
              show: true,
            },
          },
          labels: ['Nuevas', 'Abiertas', 'Cerradas','Cerradas con retraso','Canceladas'],
          dataLabels: {
            enabled: false,
          },
          legend: { show: false },
          stroke: {
            width: 7,
          },
          colors: [$themeColors.light, $themeColors.info, $themeColors.success,$themeColors.warning,$themeColors.danger],
        },
      },
    }
  },
  methods:{
    getStatistics(){
      this.$http.get('dashboard/statistics').then(res=>{
        this.chartData = res.data.activities
        this.activitiesPie.series[0] = res.data.activities.new 
        this.activitiesPie.series[1] = res.data.activities.open 
        this.activitiesPie.series[2] = res.data.activities.closed 
        this.activitiesPie.series[3] = res.data.activities.delayed 
        this.activitiesPie.series[4] = res.data.activities.cancelled 
        this.waitPetition = true
      }).catch(err=>{
        console.log(err)
      })
    }
  },
  mounted(){
    this.getStatistics()
  }
}
</script>
